%global momorel 2
%global origver 3.021

Summary: MIME-Lite module for perl 
Name: perl-MIME-Lite
Version: 3.02.1
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/MIME/MIME-Lite-%{origver}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/MIME/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:  perl-Email-Date
BuildRequires:  perl-ExtUtils-MakeMaker
#BuildRequires:  perl-MailTools >= 1.62
#BuildRequires:  perl-MIME-Types >= 1.13
#Requires:       perl-Email-Date
#Requires:       perl-MailTools >= 1.62
#Requires:       perl-MIME-Types >= 1.13
Requires:	perl >= 1:5.8.8
BuildArch: noarch

%description
MIME-Lite module for perl

%prep
%setup -q -n MIME-Lite-%{origver} 

%build
echo "\n" | CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > MIME-Lite-%{origver}-filelist
if [ "$(cat MIME-Lite-%{origver}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f MIME-Lite-%{origver}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.02.1-2m)
- rebuild against gcc43

* Sun Dec  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.02.1-1m)
- update to 3.021
-- Plagger::Plugin::Publish::Gmail: support higher version of MIME::Lite
-- ref. <http://www.karashi.org/~poppen/d/20070921.html>

* Thu Oct 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.01-3m)
- version down to 3.01 perl-Plagger does not work...
- http://www.karashi.org/~poppen/d/20070921.html

* Wed Aug 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.020-1m)
- update to 3.020
- modify BuildRequires: and Requires: sections

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.01-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.01-1m)
- spec file was autogenerated
